package com.ycwl.basic.model.mobile.goods;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author：longbinbin
 * @Date：2024/12/5 15:10
 */
@Data
@ApiModel("移动端商品列表响应信息")
public class GoodsPageVO {
    @ApiModelProperty("商品名称")
    private String goodsName;
    @ApiModelProperty("景区id")
    private Long scenicId;
    @ApiModelProperty("景区名称")
    private String scenicName;
    @ApiModelProperty("经度")
    private BigDecimal longitude;
    @ApiModelProperty("纬度")
    private BigDecimal latitude;
    @ApiModelProperty("商品类型 1:成片视频 2:源素材")
    private Integer goodsType;
    @ApiModelProperty("源素材类型 1:视频 2:图片")
    private Integer sourceType;
    @ApiModelProperty("商品（vlog）id goodsType为1时才有值")
    private Long goodsId;
    @ApiModelProperty("模版封面图片")
    private String templateCoverUrl;
}
