package com.ycwl.basic.mapper.pc;

import com.ycwl.basic.model.mobile.scenic.ScenicDeviceCountVO;
import com.ycwl.basic.model.pc.device.entity.DeviceEntity;
import com.ycwl.basic.model.pc.device.req.DeviceAddOrUpdateReq;
import com.ycwl.basic.model.pc.device.req.DeviceReqQuery;
import com.ycwl.basic.model.pc.device.resp.DeviceRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:48
 * device（设备管理）
 */
@Mapper
public interface DeviceMapper {
    List<DeviceRespVO> list(DeviceReqQuery deviceReqQuery);
    DeviceRespVO getById(Long id);
    int add(DeviceAddOrUpdateReq deviceReqQuery);
    int deleteById(Long id);
    int update(DeviceAddOrUpdateReq deviceReqQuery);
    int updateStatus(Long id);

    List<DeviceRespVO> listByScenicId(Long scenicId);

    ScenicDeviceCountVO deviceCountByScenicId(Long scenicId, String userId);
}
